> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voight.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Creates a new project within your organization.



## OpenAPI

````yaml post /v1/projects
openapi: 3.1.0
info:
  title: Voight Projects API docs
  version: 1.0.0
servers:
  - url: https://api.human.prod.artistree.io
security:
  - oauth:
      - enterprise-api-access/read
      - enterprise-api-access/write
paths:
  /v1/projects:
    post:
      summary: Create Project
      description: Creates a new project within your organization.
      operationId: create_project_v1_projects_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreateRequest'
        required: true
      responses:
        '200':
          description: The created project
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDto'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProjectCreateRequest:
      properties:
        projectName:
          anyOf:
            - type: string
            - type: 'null'
          title: Projectname
      type: object
      required:
        - projectName
      title: ProjectCreateRequest
    ProjectDto:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        date_created:
          type: string
          title: Date Created
        members:
          items:
            $ref: '#/components/schemas/ProjectMember'
          type: array
          title: Members
        detection_config:
          $ref: '#/components/schemas/DetectionConfig'
      type: object
      required:
        - id
        - name
        - date_created
        - members
      title: ProjectDto
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectMember:
      properties:
        email:
          type: string
          title: Email
        role:
          type: string
          title: Role
      type: object
      required:
        - email
        - role
      title: ProjectMember
    DetectionConfig:
      properties:
        object_flag_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Object Flag Threshold
        weighted_confidence_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Weighted Confidence Threshold
        default_object_flag_threshold:
          type: number
          title: Default Object Flag Threshold
        default_weighted_confidence_threshold:
          type: number
          title: Default Weighted Confidence Threshold
        org_object_flag_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Org Object Flag Threshold
        org_weighted_confidence_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Org Weighted Confidence Threshold
      type: object
      required:
        - object_flag_threshold
        - weighted_confidence_threshold
        - default_object_flag_threshold
        - default_weighted_confidence_threshold
      title: DetectionConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: >-
            https://human-artistree-prod.auth.us-east-1.amazoncognito.com/oauth2/token

````